# Searching

*Search in Umbraco is powered by Examine out of the box, which is a Lucene-based search and index engine for Umbraco. Umbraco provides everything required to have powerful and fast search up and running on your website. You can also extend or replace the available configuration to exactly match your requirements. This documentation focuses on the Examine implementation.*

## [Examine](/umbraco-cms/13.latest/reference/searching/examine.md)

{% hint style="info" %}
Examine and Lucene are external parts used in Umbraco. When working with either of the two, we strongly recommend using their official documentation.

* [Lucene](https://lucenenet.apache.org/)
* [Examine](https://shazwazza.github.io/Examine/)
  {% endhint %}

Understand how Examine works and walk through the many available options and settings in Umbraco.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/searching.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
